curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"value": "<p>Template text</p>"
},
"placeholders": [
{
"name": "Company Name",
"value": "Acme Inc."
},
{
"name": "Contract Date",
"value": "2024-01-15"
}
]
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
Template
Create and fill in template
Create a new template and populate it with the necessary placeholders.
POST
/
api
/
template
curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"value": "<p>Template text</p>"
},
"placeholders": [
{
"name": "Company Name",
"value": "Acme Inc."
},
{
"name": "Contract Date",
"value": "2024-01-15"
}
]
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
Using this way, you can create a template and define all placeholders
with their names and values in a single API call.
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
ID of the user who create the template. If not specified, the default user credentials will be used.
object
required
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"value": "<p>Template text</p>"
},
"placeholders": [
{
"name": "Company Name",
"value": "Acme Inc."
},
{
"name": "Contract Date",
"value": "2024-01-15"
}
]
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
⌘I